Subject: Re: Interest in reviving WG on FTP(maybe ext?)

From: John C Klensin <[email-masked]>
Date: Wed, 15 Jul 2009 18:09:56 -0400

As promised, I'm attaching my note and Lisa's from before
Dublin.  The existence of work on a charter at the end of
October indicates that there may have been some further
discussion in Minneapolis (IETF 73) but I have no recollection
of any substantive decisions.

    john

Subject: Re: FTP protocol extensions and updates
From: Lisa Dusseault <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 16 Jul 2008 11:42:59 -0700
List-Id: General discussion of application-layer protocols <apps-discuss.ietf.org>

The Apparea open meeting will have some time allocated to discuss FTP  
extensions -- Monday July 28 at 9:00 am in Dublin.  John Klensin  
suggested the topic so I've asked him to be on the hook for leading  
those 10 or more minutes.   We'll be discussing what work needs to be  
done on FTP and for what deployed communities (e.g. what extent), and  
if the conclusion is that the IETF needs to do some work we may even  
get to discussing how.

Current, unexpired I-Ds relating to FTP:
	http://tools.ietf.org/html/draft-peterson-streamlined-ftp-command-extensions-05
	http://tools.ietf.org/html/draft-hethmon-mcmurray-ftp-hosts-01
	http://tools.ietf.org/html/draft-rosenau-ftp-single-port-04

As always, meeting attendees are expected to read meeting documents  
before getting to the meeting!  Advance discussion on this list is  
very welcome.

Lisa

On Jul 12, 2008, at 10:24 AM, Frank Ellermann wrote:

> Martin Duerst wrong:
>
>> John has mentioned a long list, is that what you thought about
>
> Yes, I think he saw more points then I saw, and I wasn't sure if
> he proposed an effort to get a 2640bis as DS, or something else.
>
> I never before looked into this RFC, I checked the four "updated
> by" in RFC 959, after looking in Paul's last ftp URI draft.  Any
> 0xFF in memos about telnet / ftp / UTF-8 attracts my attention,
> once bitten...
>
> Frank
>
>
> _______________________________________________
> Apps-Discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

_______________________________________________
Apps-Discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/apps-discuss

Subject: FTP protocol extensions and updates
From: John C Klensin <[email-masked]>
To: [email-masked]
Cc: [email-masked], "Mark P. Peterson" <[email-masked]>
Date: Fri, 11 Jul 2008 13:31:59 -0400
List-Id: General discussion of application-layer protocols <apps-discuss.ietf.org>

Subject: FTP Extensions and Updates

Hi.

We have proposals for a number of FTP extensions at various
places in the queue, including
draft-peterson-streamlined-ftp-command-extensions-04 and the
long-overdue "TYPE U" proposal that was the original impetus
for what is now RFC 5198.  I have first-draft I-Ds for
TYPE U and for an IANA registry for FTP Extensions ready to go
up as soon as the pre-IETF blackout window closes.

The question now is how people would like to process these
extensions.  Mark Peterson and Doug Papenthien think their
document is just about ready to go and have implementation and
running code for its features.  "TYPE U" is essentially trivial
now that the format itself is defined.  If enough people are
interested, it might be sensible to move toward a (hopefully
short-lived) WG.  If not, it would probably make sense to
handle them as individual submissions, probably folding the
substance of my two documents into draft-peterson... in the
hope of handling everything through one Last Call.

FWIW, I don't have any particular personal investment in
any of this.  The "TYPE U" document was prepared as the
last step of what I seem to have volunteered for when I
started the Unicode stream discussion several years ago
and the registry document was started because it seemed
to be the right thing to do.  If people decide they want
a WG, I will be looking for someone who wants to take
over or share editing responsibilities on the two new drafts. 

If it is ok with Chris and Lisa, and especially if anyone has
opinions in the interim, I'd like to spend a couple of minutes
on FTP strategy at the Apps Area meeting.
 
  john

_______________________________________________
Apps-Discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/apps-discuss